Module tdlight.api
Package it.tdlight.jni

# Class TdApi.GetGroupCallStreamSegment

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.FilePart>
it.tdlight.jni.TdApi.GetGroupCallStreamSegment

Enclosing class:
  TdApi

public static final class TdApi.GetGroupCallStreamSegment extends TdApi.Function<TdApi.FilePart>
Returns a file with a segment of a group call stream in a modified OGG format for audio or MPEG-4 format for video.

Returns `FilePart`

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`channelId`
Identifier of an audio/video channel to get as received from tgcalls.
`static final int`
`CONSTRUCTOR`
`int`
`groupCallId`
Group call identifier.
`int`
`scale`
Segment duration scale; 0-1.
`long`
`timeOffset`
Point in time when the stream segment begins; Unix timestamp in milliseconds.
`TdApi.GroupCallVideoQuality`
`videoQuality`
Video quality as received from tgcalls; pass null to get the worst available quality.

## Constructor Summary

Constructors
Constructor
Description
`GetGroupCallStreamSegment()`
Returns a file with a segment of a group call stream in a modified OGG format for audio or MPEG-4 format for video.
`GetGroupCallStreamSegment(int groupCallId, long timeOffset, int scale, int channelId, TdApi.GroupCallVideoQuality videoQuality)`
Returns a file with a segment of a group call stream in a modified OGG format for audio or MPEG-4 format for video.
`GetGroupCallStreamSegment(DataInput input)`
Returns a file with a segment of a group call stream in a modified OGG format for audio or MPEG-4 format for video.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### groupCallId

public int groupCallId
Group call identifier.

### timeOffset

public long timeOffset
Point in time when the stream segment begins; Unix timestamp in milliseconds.

### scale

public int scale
Segment duration scale; 0-1. Segment's duration is 1000/(2**scale) milliseconds.

### channelId

public int channelId
Identifier of an audio/video channel to get as received from tgcalls.

### videoQuality

public TdApi.GroupCallVideoQuality videoQuality
Video quality as received from tgcalls; pass null to get the worst available quality.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### GetGroupCallStreamSegment

public GetGroupCallStreamSegment()
Returns a file with a segment of a group call stream in a modified OGG format for audio or MPEG-4 format for video.

Returns `FilePart`

### GetGroupCallStreamSegment

public GetGroupCallStreamSegment(int groupCallId, long timeOffset, int scale, int channelId, TdApi.GroupCallVideoQuality videoQuality)
Returns a file with a segment of a group call stream in a modified OGG format for audio or MPEG-4 format for video.

Returns `FilePart`

Parameters:
  `groupCallId` - int Group call identifier.
  `timeOffset` - long Point in time when the stream segment begins; Unix timestamp in milliseconds.
  `scale` - int Segment duration scale; 0-1. Segment's duration is 1000/(2**scale) milliseconds.
  `channelId` - int Identifier of an audio/video channel to get as received from tgcalls.
  `videoQuality` - GroupCallVideoQuality Video quality as received from tgcalls; pass null to get the worst available quality.

### GetGroupCallStreamSegment

public GetGroupCallStreamSegment(DataInput input) throws IOException
Returns a file with a segment of a group call stream in a modified OGG format for audio or MPEG-4 format for video.

Returns `FilePart`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`